Open a retirement case for an MCP server
curl --request POST \
--url https://api.dev.swarmd.ai/registry/v1/mcp-servers/{mcpServerId}/retirement \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>",
"successorSubjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.dev.swarmd.ai/registry/v1/mcp-servers/{mcpServerId}/retirement"
payload = {
"reason": "<string>",
"successorSubjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>', successorSubjectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.dev.swarmd.ai/registry/v1/mcp-servers/{mcpServerId}/retirement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"caseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectType": "AGENT",
"subjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectName": "<string>",
"status": "OPEN",
"reasonCategory": "END_OF_LIFE",
"reason": "<string>",
"marketAction": "NONE",
"successorSubjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"impact": {
"subscribers": [
{
"kind": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"detail": "<string>"
}
],
"subscriptions": [
{
"kind": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"detail": "<string>"
}
],
"userSubscribers": [
{
"kind": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"detail": "<string>"
}
],
"channelSubscribers": [
{
"kind": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"detail": "<string>"
}
],
"mcpServers": [
{
"kind": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"detail": "<string>"
}
],
"llmGateways": [
{
"kind": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"detail": "<string>"
}
],
"policyBindings": 123,
"openHitlHolds": 123,
"monitors": 123,
"lastPassedEvaluationRunAt": "2023-11-07T05:31:56Z",
"computedAt": "2023-11-07T05:31:56Z"
},
"checklist": [
{
"id": "<string>",
"article": "<string>",
"label": "<string>",
"mandatory": true,
"satisfied": true,
"detail": "<string>",
"fixTarget": "CLASSIFICATION"
}
],
"checklistComplete": true,
"approvalRequired": true,
"approval": {
"approvalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "RETIREMENT",
"subjectType": "AGENT",
"subjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectName": "<string>",
"riskTier": "UNCLASSIFIED",
"caseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestedAt": "2023-11-07T05:31:56Z",
"reason": "<string>",
"status": "PENDING",
"decidedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"decidedAt": "2023-11-07T05:31:56Z",
"decisionNote": "<string>"
},
"initiatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"completedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"completedAt": "2023-11-07T05:31:56Z",
"checkpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"logRetentionUntil": "2023-12-25",
"documentationRetentionUntil": "2023-12-25",
"putIntoServiceAt": "2023-11-07T05:31:56Z"
}Governance
Open a retirement case for an MCP server
Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | MCP_REGISTRY | WRITE | MCP_REGISTRY:WRITE |
POST
/
registry
/
v1
/
mcp-servers
/
{mcpServerId}
/
retirement
Open a retirement case for an MCP server
Authorizations
JWT token (USER, AGENT, or SERVICE auth)
Path Parameters
Body
application/json
Response
201 - */*
Created
Available options:
AGENT, MCP_SERVER, LLM_GATEWAY Available options:
OPEN, APPROVED, COMPLETED, CANCELLED Available options:
END_OF_LIFE, SUPERSEDED, NON_CONFORMITY, SERIOUS_INCIDENT, CONTRACT_ENDED, NEVER_USED Available options:
NONE, WITHDRAWN, RECALLED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
